Skip to content

Convention

Domain

Please refer Prerequisite#Domain Access section for more information.

Request

The request format adheres to the Restful API style. For detailed information, please refer to each API.

  • Upon submitting a request to the OpenAPI, a response with HTTP status code 200 indicates that the request has been received by the server. Subsequently, refer to the Response section for handling detailed business logic or exceptions.
  • In case of a request timeout, retry submission due to potential network issues in some routes.
  • If the HTTP status code is 4xx, verify that you are using the correct API or request format.
  • If the HTTP status code is 5xx, please contact us for resolution.

Response

Success Response with Code 0

json
{
    "code": 0, 
    "message": "", 
    "data": {}
}

Notes:

  • If code is 0, it indicates that the request has been successfully processed.
  • Handle the data object according to your specific requirements.

Exception Response with Code None-zero

json
{
    "code": 1003, 
    "message": "task id: [5177er673782738882873211] not exist", 
    "data": null
}

Notes:

  • If code is greater than zero, the request has failed to process.
  • For additional definitions of error codes, please consult the error code section.
  • For a human-readable explanation, refer to the message.

Task-level metrics

The metrics attribute in the response of Get IR Result signifies the task-level Key Performance Indicator (KPI) data. This may include metrics such as total facing, total empty space, etc., specific to the task.

Notes:

  • Depending on the contract, not all metrics values mentioned below may be available. Please confirm with your Customer Success Manager (CSM) at Clobotics to determine the number of available metrics for your case.

  • This section is only necessary to read when handling the response from Get IR Result.

Definition of metrics

IdNameDescription
2Total empty spaceTotal empty space
3Total facingTotal facing(empty included)
5Total rowTotal row
9Total doorTotal door

Task-level qualities

The qualities attribute in the response of Get IR Result indicates the image recognition task-level quality, specifically whether this task has any quality issues.

Definition of Task-level qualities

IdDescription
2Underexposed
3Overexposed
4Blurred
10Recopy
15Reuse
26Empty cooler
28Posing
29Partial
30Task Timeout
31Irrelevant photo
32Reuse with confidence scores, the value stored as a JSON string:[{"task_id":"xxx", "score":0.8}]

Plan-level qualities

The qualities attribute in the response of Get Visit Plan List indicates the plan-level quality, specifically whether the plan has any quality issues. In general, a visit plan (referred to as a "plan") may contain several tasks, and it is at the top level of tasks. Therefore, plan-level qualities aggregate quality issues based on all tasks and other information within this plan.

Notes:

  • Although plan-level quality shares the same name qualities as task-level quality, it has a completely different definition.

Definition of Plan-level qualities

IdDescription
18Purity exceeds the threshold. The customer sets a threshold to determine whether the purity of all IR tasks under the plan meets the required level.
19Location offset exceeds. An offset exists between the coordinates of the store and the recorded location during the visit.
21Exist reused photo under this plan.
22Plan is expired.
23Exist irrelevant photo under this plan. Irrelevant photo means there is no valid target in the photo, such as a landscape photo.
24Empty cooler
25Exist recopy photo under this plan.

Powered by Clobotics Retail Team.